# checkpoint_run_script – Run scripts on Check Point devices over Web Services API

New in version 2.8.

- Synopsis
- Parameters
- Examples
- Return Values
- Status

## Synopsis

- Run scripts on Check Point devices. All operations are performed over Web Services API.

## Parameters

Parameter | Choices/Defaults | Comments
--- | --- | ---
script string / required |  | Script body contents.
script_name string / required |  | Name of the script.
targets list / required |  | Targets the script should be run against. Can reference either name or UID.

## Examples

    - name: Run script
      checkpoint_run_script:
        script_name: "List root"
        script: ls -l /
        targets:
          - mycheckpointgw

## Return Values

Common return values are documented here, the following are the fields unique to this module:

Key | Returned | Description
--- | --- | ---
checkpoint_run_script list | always. | The checkpoint run script output.

## Status

- This module is not guaranteed to have a backwards compatible interface. [preview]
- This module is maintained by the Ansible Network Team. [network]

### Red Hat Support

More information about Red Hat’s support of this module is available from this Red Hat Knowledge Base article.

### Authors

- Ansible by Red Hat (@rcarrillocruz)

Hint

If you notice any issues in this documentation, you can edit this document to improve it.